FreeMat

- Main Page
- Related Pages

vtkAssignCoordinatesLayoutStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

Uses vtkAssignCoordinates to use values from arrays as the x, y, and z coordinates.

To create an instance of class vtkAssignCoordinatesLayoutStrategy, simply invoke its constructor as follows

      obj = vtkAssignCoordinatesLayoutStrategy

# Methods

The class vtkAssignCoordinatesLayoutStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAssignCoordinatesLayoutStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAssignCoordinatesLayoutStrategy = obj.NewInstance ()`
- `vtkAssignCoordinatesLayoutStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.SetXCoordArrayName (string name)` - The array to use for the x coordinate values.
- `string = obj.GetXCoordArrayName ()` - The array to use for the x coordinate values.
- `obj.SetYCoordArrayName (string name)` - The array to use for the y coordinate values.
- `string = obj.GetYCoordArrayName ()` - The array to use for the y coordinate values.
- `obj.SetZCoordArrayName (string name)` - The array to use for the z coordinate values.
- `string = obj.GetZCoordArrayName ()` - The array to use for the z coordinate values.
- `obj.Layout ()` - Perform the random layout.